%define xsessiondir %{_datadir}/xsessions

Summary: Utilities for the Xfce Desktop Environment
Name: xfce-utils
Version: 4.6.2
Release: 1%{?dist}
License: GPLv2+
URL: http://www.xfce.org/
Source0: http://archive.xfce.org/src/xfce/xfce-utils/4.6/xfce-utils-%{version}.tar.bz2
Source1: xfce4.desktop
Patch0: xfce-utils-4.4.2-pulseaudio.patch
Patch1: xfce-utils-4.4.3-xfterm4-bug.patch
# modfied version of http://bugzilla.xfce.org/show_bug.cgi?id=3770
Patch2: xfce-utils-4.4.3-gnome-screensaver.patch
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: xfwm4
Requires: xfdesktop
Requires: xfce4-doc
Requires: /usr/bin/id
BuildRequires: libxfcegui4-devel >= %{version}
BuildRequires: gettext
BuildRequires: dbus-devel 
BuildRequires: dbus-glib-devel
BuildRequires: perl(XML::Parser)
BuildRequires: intltool

%description
This package includes utilities for the Xfce Desktop Environment.

%package -n xfce4-doc
Summary: Basic documentation for the Xfce Desktop Environment
Group: Documentation
BuildArch: noarch
#Requires: %{name} = %{version}-%{release}

%description -n xfce4-doc
This package includes common docs for the Xfce Desktop Environment.

%prep
%setup -q
%patch0 -p1 -b .pulseaudio
%patch1 -p1 -b .buggy
%patch2 -p1 -b .gnome-screensaver

%build
%configure --enable-gdm --disable-static

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{xsessiondir}

make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{xsessiondir}/xfce.desktop

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{xsessiondir}/

%find_lang %{name}

# we need the doc package to own these 
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/xfce4/doc/{es,fr,id,it,ja,pt_BR,tr}/images

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog NEWS COPYING AUTHORS
%attr(0755,root,root) 
%config(noreplace) %{_sysconfdir}/xdg/xfce4/xinitrc
%config(noreplace) %{_sysconfdir}/xdg/xfce4/Xft.xrdb
%config(noreplace) %{_sysconfdir}/xdg/autostart/xfconf-migration-4.6.desktop
%dir %{_libexecdir}/xfce4/xfconf-migration
%{_libexecdir}/xfce4/xfconf-migration/xfconf-migration-4.6.pl
%{_bindir}/startxfce4
%{_bindir}/xfbrowser4
%{_bindir}/xfce4-about
%{_bindir}/xflock4
%{_bindir}/xfmountdev4
%{_bindir}/xfrun4
%{_bindir}/xfterm4
%{_datadir}/icons/hicolor/*/apps/*
%{xsessiondir}/*
%{_datadir}/dbus-1/services/org.xfce.RunDialog.service

%files -n xfce4-doc
%defattr(-,root,root,-)
%{_bindir}/xfhelp4
%dir %{_datadir}/xfce4
%doc %{_datadir}/xfce4/AUTHORS
%doc %{_datadir}/xfce4/BSD
%doc %{_datadir}/xfce4/COPYING
%doc %{_datadir}/xfce4/GPL
%doc %{_datadir}/xfce4/INFO
%doc %lang(de) %{_datadir}/xfce4/INFO.de
%doc %lang(ca) %{_datadir}/xfce4/INFO.ca
%doc %lang(es) %{_datadir}/xfce4/INFO.es
%doc %lang(fi) %{_datadir}/xfce4/INFO.fi
%doc %lang(fr) %{_datadir}/xfce4/INFO.fr
%doc %lang(it) %{_datadir}/xfce4/INFO.it
%doc %lang(ja) %{_datadir}/xfce4/INFO.ja
%doc %lang(ru) %{_datadir}/xfce4/INFO.ru
%doc %lang(en_GB) %{_datadir}/xfce4/INFO.uk
%doc %lang(vi) %{_datadir}/xfce4/INFO.vi
%doc %{_datadir}/xfce4/LGPL
%dir %{_datadir}/xfce4/doc
%dir %{_datadir}/xfce4/doc/*
%dir %{_datadir}/xfce4/doc/*/images
%doc %{_datadir}/xfce4/doc/*/images/*
%doc %{_datadir}/xfce4/doc/*/*.html
%doc %{_datadir}/xfce4/doc/xfce-mouse.png
%doc %{_datadir}/xfce4/doc/xfce.css
%doc %{_datadir}/xfce4/doc/xfce-chunk.css

%changelog
* Fri May 21 2010 Kevin Fenzi <kevin@tummy.com> - 4.6.2-1
- Update to 4.6.2

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 19 2009 Kevin Fenzi <kevin@tummy.com> - 4.6.1-1
- Update to 4.6.1

* Mon Mar 02 2009 Christoph Wickert <cwickert@fedoraproject.org> - 4.6.0-2
- Fix directory ownership problems
- Make separate xfce4-doc package

* Thu Feb 26 2009 Kevin Fenzi <kevin@tummy.com> - 4.6.0-1
- Update to 4.6.0
- Remove unneeded BuildRequires

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5.99.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 26 2009 Kevin Fenzi <kevin@tummy.com> - 4.5.99.1-1
- Update to 4.5.99.1

* Tue Jan 13 2009 Kevin Fenzi <kevin@tummy.com> - 4.5.93-1
- Update to 4.5.93

* Sat Dec 27 2008 Kevin Fenzi <kevin@tummy.com> - 4.5.92-1
- Update to 4.5.92

* Mon Oct 27 2008 Christoph Wickert <cwickert@fedoraproject.org> - 4.4.3-1
- Update to 4.4.3
- Prefer gnome-screensaver over xscreensaver if installed
- Make xflock4 check for running screensaver instead of installed ones
- Rework pulseaudio patch
- Configure with --disable-static
- Run gtk-update-icon-cache in %%post and %%postun

* Sun Feb 10 2008 Kevin Fenzi <kevin@tummy.com> - 4.4.2-4
- Rebuild for gcc43

* Mon Jan 14 2008 Kevin Fenzi <kevin@tummy.com> - 4.4.2-3
- Patch correct file

* Wed Jan 02 2008 Kevin Fenzi <kevin@tummy.com> - 4.4.2-2
- Add patch to start pulseaudio if installed

* Sun Nov 18 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.2-1
- Update to 4.4.2

* Mon Aug 27 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-3
- Update License tag

* Mon Jul 30 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-2
- Add dbus BuildRequires. Thanks to Andy Shevchenko (fixes #250067) 

* Wed Apr 11 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-1
- Update to 4.4.1

* Tue Apr  3 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.0-2
- Do not own %%{_sysconfdir}/xdg/xfce4
- Do not ship the switchdesk config

* Sun Jan 21 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.0-1
- Update to 4.4.0

* Fri Nov 10 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.2-1
- Update to 4.3.99.2

* Thu Oct  5 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-5
- Fix defattr

* Wed Oct  4 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-4
- Bump release for devel checkin

* Sun Sep 24 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-3
- Don't own doc dirs (xfdesktop does)

* Sun Sep 17 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-2
- Don't own datadir/xfce4 (xfwm4 already does)

* Sun Sep  3 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-1
- Upgrade to 4.3.99.1

* Wed Jul 12 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.90.2-1
- Update to 4.3.90.2

* Mon May  8 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.90.1-1
- Update to 4.3.90.1

* Mon Nov  7 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.3-1.fc5
- Update to 4.2.3
- Added dist tag

* Tue May 17 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.2-1.fc4
- Update to 4.2.2

* Fri Mar 25 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-3.fc4
- lowercase Release

* Wed Mar 23 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-2.FC4
- Removed unneeded la/a files

* Tue Mar 15 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-1
- Updated to 4.2.1 version

* Tue Mar  8 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.0-3
- Fixed case on Xfce

* Sun Mar  6 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.0-2
- Removed old misc patch 

* Thu Jan 27 2005 Than Ngo <than@redhat.com> 4.2.0-1
- 4.2.0

* Thu Dec 02 2004 Than Ngo <than@redhat.com> 4.0.6-3
- permission fix #141597

* Mon Nov 22 2004 Than Ngo <than@redhat.com> 4.0.6-2
- add session desktop file from KDE, better translations
- improve xfterm4 #139183

* Mon Jul 19 2004 Than Ngo <than@redhat.com> 4.0.6-1
- update to 4.0.6
- use %%find_lang macros, bug #124950
- fix component deps, bug #125744
- don't run xmodmap twice, bug #115500

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr 15 2004 Than Ngo <than@redhat.com> 4.0.5-1
- update to 4.0.5

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Than Ngo <than@redhat.com> 4.0.3-2
- fixed dependant libraries check on x86_64

* Tue Jan 13 2004 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3 release

* Thu Dec 25 2003 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2 release

* Tue Dec 16 2003 Than Ngo <than@redhat.com> 4.0.1-1
- initial build

